from setuptools import setup, Extension, find_packages
import numpy

extensions = [
    Extension('crdp3d', ['crdp.pyx'], include_dirs=[numpy.get_include()]),
]

setup(
    name="crdp3d",
    version="0.0.3",
    author="Rhys Edwards",
    author_email="rhys.edwards@student.uts.edu.au",
    description="A fast Ramer-Douglas-Peucker algorithm implementation.",
    url="https://code.research.uts.edu.au/bigprint/crdp",
    packages=(find_packages()),
    setup_requires=['cython', 'numpy'],
    install_requires=['numpy'],
    ext_modules=extensions,
    classifiers=[
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
    ],
)
